package io.renren.modules.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import io.renren.common.utils.PageUtils;
import io.renren.modules.admin.entity.EmployeeEntity;
import io.renren.modules.admin.entity.IndustryEntity;

import java.util.List;
import java.util.Map;

/**
 * 
 *
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2020-02-21 14:56:20
 */
public interface IndustryService extends IService<IndustryEntity> {

    PageUtils queryPage(Map<String, Object> params);

    void delete(Long[] ids);

    /**
     * 根据name 模糊搜索
     * @param name
     * @return
     */
    List<IndustryEntity> findAllByName(String name);

    /**
     * 查询name是否存在
     * @param name
     * @return
     */
    int selectIsName(String name);
}

